[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomStringGrid.DefineProperties

Defines non-published properties included in LCL component streaming.

## Declaration

Source position: grids.pas line 1772

`protected procedure TCustomStringGrid.DefineProperties(`
`Filer: TFiler`
`); override;`

## Arguments

`Filer` |  | TFIler instance used to read or write values for the class type.

## Description

DefineProperties is an overridden method used to define non-published properties which are read and written using LCL component streaming. In TCustomStringGrid, it adds read and write routines for the Cells property to the TFiler instance.